@echo off

set config_bat=%1
set curr_dir=%~dp0

if "%config_bat%"=="" ( rem default config.bat location is in the same dir
	set config_bat="%curr_dir%config.bat"
)

set timestamp=%date% - %time%

if exist %config_bat% (
	call %config_bat%
) else (
	echo [ERR] %timestamp% Unable to find %config_bat% >> %curr_dir%error.log
	echo       Make sure config.bat file is in %curr_dir% >> %curr_dir%error.log
	echo       or supply correct config.bat location as the first argument. >> %curr_dir%error.log
	echo see %curr_dir%error.log
	goto :eof
)

if exist "%curr_dir%get_date.bat" (
	call "%curr_dir%get_date.bat"
) else (
	echo [ERR] %timestamp% Unable to find "%curr_dir%get_date.bat" >> %curr_dir%error.log
	echo       Make sure get_date.bat is in %curr_dir% >> %curr_dir%error.log
	echo see %curr_dir%error.log
	goto :eof
)

if not exist %backup_dir% (
	echo [ERR] %timestamp% No such directory %backup_dir%. >> %curr_dir%error.log
	echo       Make sure the directory for backups exists. >> %curr_dir%error.log
	echo see %curr_dir%error.log
	goto :eof
)

echo making mysql backup %datetimef%

for %%x in %databases% do (
	start /wait cmd /c "%mysqldump_path% -u %mysql_user% -p%mysql_pass% %%x > %backup_dir%\%%x_%datetimef%.sql"
	start /wait "7z" "%szip_path%" a -t7z "%backup_dir%\db_%datetimef%.7z" "%backup_dir%\%%x_%datetimef%.sql"
	del %backup_dir%\%%x_%datetimef%.sql
)

echo mysql dump created
